Bug 55437 - xinetd misses some CHLD signals
xinetd misses some CHLD signals
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-31 01:08 EST by Kent
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-30 19:07:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kent 2001-10-31 01:08:08 EST
Description of Problem:
My tftp server for which I'm using for network booting periodically hangs
the netbooting client machine during TFTP transfers.  When I check the TFTP
server there is a in.tftpd zombie which is a child of xinetd.  If I "kill
-CHLD `pidof xinetd`" before the client times out, netbooting proceeds
normally.  So it appears that xinetd fails to respond to a CHLD signal
sometimes.  I'm not completely sure that this is an xinetd bug and not a
tftpd bug, however I didn't have any problems with the inetd/tftp-server
combo on RedHat Linux 6.2.  I saw similar behavior with xinetd/tftpd on
RedHat Linux 7.0.

Version-Release number of selected component (if applicable):

How Reproducible:
Unknown how to reproduce reliably.
Comment 1 Trond Eivind Glomsrxd 2001-11-06 15:29:58 EST
Could you take a look at #49132 and try the remedies there?
Comment 2 Trond Eivind Glomsrxd 2001-11-30 19:07:43 EST
Can you try the rpms at http://people.redhat.com/teg/xinetd/ ?
Comment 3 Trond Eivind Glomsrxd 2002-07-25 19:29:25 EDT
Closing due to lack of feedback, reopen with new data if problem occurs with
current releases.

Note You need to log in before you can comment on or make changes to this bug.